Subject: bug#26299: 24.5; Use of `…' in Info

From: Drew Adams <[email-masked]>
Date: Thu, 30 Mar 2017 07:56:18 -0700 (PDT)

> > Maybe Emacs needs to work around the problem (if it can't be
> > fixed).  Maybe if Emacs uses `. . .' instead of `...' that
> > will stop Texinfo from messing with it.
> >
> > (Why would Texinfo have a blanket treatment of ... as …?
> > That makes no sense at all.  What if the occurrence of ...
> > is part of code, and NEEDS to be 3 period chars?)
> 
> Emacs' .texi files use @dots{} in these cases, as (strongly)
> recommended by the texinfo manual:
> 
>     An ellipsis (a sequence of dots) would be spaced wrong when typeset as
>     a string of periods, so a special command is used in Texinfo: use the
>     @dots{} command to generate a normal ellipsis, which is three dots in
>     a row, appropriately spaced … like so. To emphasize: do not simply
>     write three periods in the input file; that would work for the Info
>     file output, but would produce the wrong amount of space between the
>     periods in the printed manual.
> 
> I found this thread [1] requesting plain "..." for @dots{} in makeinfo
> output; there seemed to be no opposition, but I guess it didn't
> happen. Perhaps try pinging [email-masked]?

Thanks for checking on this, Noam.  I will leave it to Emacs
maintainers to decide whether to ping bug-texinfo.  I reported
the complaint as one Emacs user.  Dunno what Emacs Dev will
decide is the desired behavior.  I know what I prefer.